> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1voiceagents prompts



## OpenAPI

````yaml https://api.comm.com/docs/api.json get /v1/voice/agents/{agent}/prompts
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/voice/agents/{agent}/prompts:
    get:
      tags:
        - AgentPrompts
      operationId: voice.prompts.index
      parameters:
        - name: agent
          in: path
          required: true
          description: The agent ID
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Array of `AgentPromptResource`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/AgentPromptResource'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  schemas:
    AgentPromptResource:
      type: object
      properties:
        id:
          type: string
        agent_id:
          type: string
        welcome_message:
          type: string
        prompt:
          type:
            - string
            - 'null'
        voice_id:
          type:
            - string
            - 'null'
        voice_name:
          type:
            - string
            - 'null'
        created_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - agent_id
        - welcome_message
        - prompt
        - voice_id
        - voice_name
        - created_at
      title: AgentPromptResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````